Bug 6532 - build fails with external talloc
build fails with external talloc
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: Build environment
3.4.0
Other Linux
: P3 critical
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-03 14:49 UTC by Guenther Deschner
Modified: 2009-08-17 13:22 UTC (History)
0 users

See Also:


Attachments
backport to 3-4-test (2.44 KB, patch)
2009-07-15 03:46 UTC, Guenther Deschner
obnox: review+
Details
new fix (1.36 KB, patch)
2009-08-17 09:57 UTC, Karolin Seeger
gd: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guenther Deschner 2009-07-03 14:49:20 UTC
While trying to compile non-merged 3.4.0 the build fails very early with:

Compiling ../lib/replace/replace.c
make[1]: *** No rule to make target `/home/gd/fedora/rpms/samba/devel/samba-3.4.0/source3//talloc.h', needed by `/home/gd/fedora/rpms/samba/devel/samba-3.4.0/source3/exports/libtalloc.syms'.  Stop.

Note the missing talloc subpath.

this is with libtalloc-devel-1.3.1 installed.

from config.log:

configure:11518: checking for TALLOC
configure:11526: $PKG_CONFIG --exists --print-errors "talloc >= 1.3.0"
configure:11529: $? = 0
configure:11544: $PKG_CONFIG --exists --print-errors "talloc >= 1.3.0"
configure:11547: $? = 0
configure:11597: result: yes

IIRC it works in master (even for the non-merged build)
Comment 1 Guenther Deschner 2009-07-03 14:56:35 UTC
btw, configure options are: "./configure".
Comment 2 Guenther Deschner 2009-07-15 03:46:25 UTC
Created attachment 4423 [details]
backport to 3-4-test

Ok, with this fix I could build using a system libtalloc.

Needs to go into 3.4.
Comment 3 Michael Adam 2009-07-15 03:51:00 UTC
Comment on attachment 4423 [details]
backport to 3-4-test

definitely, this needs to be in 3.4
Comment 4 Karolin Seeger 2009-07-18 01:31:21 UTC
Pushed to v3-4-test, will be included in 3.4.1.
Closing out bug report.

Thanks!
Comment 5 Guenther Deschner 2009-08-14 09:43:49 UTC
Seems like the fix does not work for all scenarios.
Comment 6 Karolin Seeger 2009-08-17 09:57:11 UTC
Created attachment 4566 [details]
new fix
Comment 7 Guenther Deschner 2009-08-17 10:36:28 UTC
Comment on attachment 4566 [details]
new fix

tested this version of the fix, works as well. thanks!
Comment 8 Karolin Seeger 2009-08-17 13:22:53 UTC
Pushed. Will be included in 3.4.1.
Closing out bug report.

Thanks!